Skip to main content
POST
/
v1
/
connections
Create Connection
curl --request POST \
  --url https://api.waycore.com/v1/connections \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "institutionId": "<string>",
  "entityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "portalUrl": "<string>"
}
'
{
  "id": "<string>",
  "entityId": "<string>",
  "institutionId": "<string>",
  "status": "draft",
  "syncStatus": "idle",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "kind": "ready",
  "portalUrl": "<string>",
  "institutionName": "<string>",
  "lastSyncedAt": "2023-11-07T05:31:56Z",
  "errorCode": "<string>",
  "errorMessage": "<string>",
  "metadata": {}
}

Authorizations

Authorization
string
header
required

Opaque API key passed as Authorization: Bearer <key>. Keys are organization-bound, environment-bound (live or test), scope-carrying, and expiring. Create and manage keys via the console.

Body

application/json
institutionId
string
required

Waycore's canonical institution identifier.

entityId
string<uuid>
required

Stable identifier for the entity that owns this connection.

portalUrl
string | null

Optional HTTPS portal URL override when the selected institution has multiple login portals.

Response

OK

id
string
required

Stable, immutable identifier for the connection.

entityId
string
required

Stable identifier for the entity that owns this connection.

institutionId
string
required

Waycore's canonical institution identifier.

status
enum<string>
required

Current connection status.

Available options:
draft,
pendingActivation,
active,
reauthRequired,
errored,
paused,
revoked
syncStatus
enum<string>
required

Current public sync status.

Available options:
idle,
syncing
createdAt
string<date-time>
required

When the connection was created in this API.

updatedAt
string<date-time>
required

When the connection last changed in this API.

kind
string
default:ready

Canonical connection record for a non-setup bank integration.

Allowed value: "ready"
portalUrl
string | null

Normalized portal URL used as the connection anchor, when available.

institutionName
string | null

Institution display name, when available.

lastSyncedAt
string<date-time> | null

When the connection was last synchronised successfully, when available.

errorCode
string | null

Most recent connection error code, when available.

errorMessage
string | null

Most recent connection error message, when available.

metadata
Metadata · object

Opaque client-defined metadata.